extend layout

include mixins

block headers
  title= `${config.siteName}: ${category.title}`

mixin description(category)
    case category.key
      when "HotOrNot"
        +description-lead() Create tinder-like interaction on whatever image you want: swipe right if you like, swipe left if you don’t.
        +description-features()
          ul
            li Supports any number of items
            li Generate global rankings vs. user’s ratings
            li Swipe or click, depending on the device you’re using
      when "Slideshow"
        +description-lead() One image is not enough: create wonderful slide shows of content, engage users with the power of lists (and votes!)
        +description-features()
          ul
            li Make your audience vote each items.
            li Ideal for polls and to create rankings
            li Different types of vote (stars, yes or no, hot or not…)

      when "VersusWar"
      when "Tournament"
        +description-lead() Put a list of items in direct competition between them, either with a tournament formula (only the winner of each round proceeds), or with all-versus-all mode.
        +description-features()
          ul
            li Generate a huge number of page views
            li Insert how many items you want
            li Get the updated ranking in real time

      when "OpenQuiz"
      when "Quiz"
        +description-lead() Quizzes are one of the easiest and most successful ways of engaging your audience, either if multiple choice, Boolean (true or false) or with open text.
        +description-features()
          ul
            li Different types of “tips” to help your users
            li Game over, final scores and judgements supported
            li With or without images (for “open” answers, you can use a different image for each question and answer)

      when "Test"
        +description-lead() Answer some questions and get your personality profile. Easy to produce, engaging and fantastic to share!
        +description-features()
          ul
            li Choose how many questions and profiles you want
            li Customizable “weight” rules to calculate final profiles
            li Images supported in header, questions, profiles.

      when "Calculator"
        +description-lead() Looking for a funny way to entertain your audience? Just let them “calculate” anything, from their ideal job to love coefficient with anyone, just filling some text field or other types of inputs.
        +description-features()
          ul
            li Supports either “real” calculators (i.e.: find your Chinese astrology sign) and fake-funny ones (i.e.: find your love affinity)
            li Input parameters can be customized: name, birthdate, sex…
            li Fill in all the results you want. The limit is your imagination!
      when "Article"
        +description-lead() The standard article. Supports all types of multimedia.
        +description-features()
          ul
            li Easily produced in bulk mode.
            li Fully supports of markdown language.
            li Images are automatically formatted.
      default
        p ...

block content
  h1= category.title
  +description(category)
  each item in items
    +itemFullLink(item)
  nav
    ul.pager
      if hasPrev
        li.previous
          a.link-prev(href=`/category/${category.key}/${page - 1}.html`)
            < #{i18n.newer}
      else
        li.previous.disabled
          a.link-disabled-prev(href="#")
            span(aria-hidden=true) &larr;
            | &nbsp;#{i18n.newer}
      if hasNext
        li.next
          a.link-next(href=`/category/${category.key}/${page + 1}.html`)
            | #{i18n.older}&nbsp;
            span(aria-hidden=true) &rarr;
      else
        li.next.disabled
          a.link-disabled-next(href="#")
            | #{i18n.older}&nbsp;
            span(aria-hidden=true) &rarr;
